Maintenance update for automake and PHP.
[gnucomo.git] / test / Makefile.in
1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
18 am__make_running_with_option = \
19   case $${target_option-} in \
20       ?) ;; \
21       *) echo "am__make_running_with_option: internal error: invalid" \
22               "target option '$${target_option-}' specified" >&2; \
23          exit 1;; \
24   esac; \
25   has_opt=no; \
26   sane_makeflags=$$MAKEFLAGS; \
27   if $(am__is_gnu_make); then \
28     sane_makeflags=$$MFLAGS; \
29   else \
30     case $$MAKEFLAGS in \
31       *\\[\ \   ]*) \
32         bs=\\; \
33         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
34           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
35     esac; \
36   fi; \
37   skip_next=no; \
38   strip_trailopt () \
39   { \
40     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
41   }; \
42   for flg in $$sane_makeflags; do \
43     test $$skip_next = yes && { skip_next=no; continue; }; \
44     case $$flg in \
45       *=*|--*) continue;; \
46         -*I) strip_trailopt 'I'; skip_next=yes;; \
47       -*I?*) strip_trailopt 'I';; \
48         -*O) strip_trailopt 'O'; skip_next=yes;; \
49       -*O?*) strip_trailopt 'O';; \
50         -*l) strip_trailopt 'l'; skip_next=yes;; \
51       -*l?*) strip_trailopt 'l';; \
52       -[dEDm]) skip_next=yes;; \
53       -[JT]) skip_next=yes;; \
54     esac; \
55     case $$flg in \
56       *$$target_option*) has_opt=yes; break;; \
57     esac; \
58   done; \
59   test $$has_opt = yes
60 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
61 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
62 pkgdatadir = $(datadir)/@PACKAGE@
63 pkgincludedir = $(includedir)/@PACKAGE@
64 pkglibdir = $(libdir)/@PACKAGE@
65 pkglibexecdir = $(libexecdir)/@PACKAGE@
66 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
67 install_sh_DATA = $(install_sh) -c -m 644
68 install_sh_PROGRAM = $(install_sh) -c
69 install_sh_SCRIPT = $(install_sh) -c
70 INSTALL_HEADER = $(INSTALL_DATA)
71 transform = $(program_transform_name)
72 NORMAL_INSTALL = :
73 PRE_INSTALL = :
74 POST_INSTALL = :
75 NORMAL_UNINSTALL = :
76 PRE_UNINSTALL = :
77 POST_UNINSTALL = :
78 subdir = test
79 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
80         $(top_srcdir)/mkinstalldirs $(top_srcdir)/test-driver
81 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
82 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
83 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
84         $(ACLOCAL_M4)
85 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
86 CONFIG_HEADER = $(top_builddir)/config.h
87 CONFIG_CLEAN_FILES =
88 CONFIG_CLEAN_VPATH_FILES =
89 AM_V_P = $(am__v_P_@AM_V@)
90 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
91 am__v_P_0 = false
92 am__v_P_1 = :
93 AM_V_GEN = $(am__v_GEN_@AM_V@)
94 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
95 am__v_GEN_0 = @echo "  GEN     " $@;
96 am__v_GEN_1 = 
97 AM_V_at = $(am__v_at_@AM_V@)
98 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
99 am__v_at_0 = @
100 am__v_at_1 = 
101 SOURCES =
102 DIST_SOURCES =
103 am__can_run_installinfo = \
104   case $$AM_UPDATE_INFO_DIR in \
105     n|no|NO) false;; \
106     *) (install-info --version) >/dev/null 2>&1;; \
107   esac
108 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
109 am__tty_colors_dummy = \
110   mgn= red= grn= lgn= blu= brg= std=; \
111   am__color_tests=no
112 am__tty_colors = { \
113   $(am__tty_colors_dummy); \
114   if test "X$(AM_COLOR_TESTS)" = Xno; then \
115     am__color_tests=no; \
116   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
117     am__color_tests=yes; \
118   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
119     am__color_tests=yes; \
120   fi; \
121   if test $$am__color_tests = yes; then \
122     red='\e[0;31m'; \
123     grn='\e[0;32m'; \
124     lgn='\e[1;32m'; \
125     blu='\e[1;34m'; \
126     mgn='\e[0;35m'; \
127     brg='\e[1m'; \
128     std='\e[m'; \
129   fi; \
130 }
131 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
132 am__vpath_adj = case $$p in \
133     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
134     *) f=$$p;; \
135   esac;
136 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
137 am__install_max = 40
138 am__nobase_strip_setup = \
139   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
140 am__nobase_strip = \
141   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
142 am__nobase_list = $(am__nobase_strip_setup); \
143   for p in $$list; do echo "$$p $$p"; done | \
144   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
145   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
146     if (++n[$$2] == $(am__install_max)) \
147       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
148     END { for (dir in files) print dir, files[dir] }'
149 am__base_list = \
150   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
151   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
152 am__uninstall_files_from_dir = { \
153   test -z "$$files" \
154     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
155     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
156          $(am__cd) "$$dir" && rm -f $$files; }; \
157   }
158 am__recheck_rx = ^[     ]*:recheck:[    ]*
159 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
160 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
161 # A command that, given a newline-separated list of test names on the
162 # standard input, print the name of the tests that are to be re-run
163 # upon "make recheck".
164 am__list_recheck_tests = $(AWK) '{ \
165   recheck = 1; \
166   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
167     { \
168       if (rc < 0) \
169         { \
170           if ((getline line2 < ($$0 ".log")) < 0) \
171             recheck = 0; \
172           break; \
173         } \
174       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
175         { \
176           recheck = 0; \
177           break; \
178         } \
179       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
180         { \
181           break; \
182         } \
183     }; \
184   if (recheck) \
185     print $$0; \
186   close ($$0 ".trs"); \
187   close ($$0 ".log"); \
188 }'
189 # A command that, given a newline-separated list of test names on the
190 # standard input, create the global log from their .trs and .log files.
191 am__create_global_log = $(AWK) ' \
192 function fatal(msg) \
193 { \
194   print "fatal: making $@: " msg | "cat >&2"; \
195   exit 1; \
196 } \
197 function rst_section(header) \
198 { \
199   print header; \
200   len = length(header); \
201   for (i = 1; i <= len; i = i + 1) \
202     printf "="; \
203   printf "\n\n"; \
204 } \
205 { \
206   copy_in_global_log = 1; \
207   global_test_result = "RUN"; \
208   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
209     { \
210       if (rc < 0) \
211          fatal("failed to read from " $$0 ".trs"); \
212       if (line ~ /$(am__global_test_result_rx)/) \
213         { \
214           sub("$(am__global_test_result_rx)", "", line); \
215           sub("[        ]*$$", "", line); \
216           global_test_result = line; \
217         } \
218       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
219         copy_in_global_log = 0; \
220     }; \
221   if (copy_in_global_log) \
222     { \
223       rst_section(global_test_result ": " $$0); \
224       while ((rc = (getline line < ($$0 ".log"))) != 0) \
225       { \
226         if (rc < 0) \
227           fatal("failed to read from " $$0 ".log"); \
228         print line; \
229       }; \
230       printf "\n"; \
231     }; \
232   close ($$0 ".trs"); \
233   close ($$0 ".log"); \
234 }'
235 # Restructured Text title.
236 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
237 # Solaris 10 'make', and several other traditional 'make' implementations,
238 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
239 # by disabling -e (using the XSI extension "set +e") if it's set.
240 am__sh_e_setup = case $$- in *e*) set +e;; esac
241 # Default flags passed to test drivers.
242 am__common_driver_flags = \
243   --color-tests "$$am__color_tests" \
244   --enable-hard-errors "$$am__enable_hard_errors" \
245   --expect-failure "$$am__expect_failure"
246 # To be inserted before the command running the test.  Creates the
247 # directory for the log if needed.  Stores in $dir the directory
248 # containing $f, in $tst the test, in $log the log.  Executes the
249 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
250 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
251 # will run the test scripts (or their associated LOG_COMPILER, if
252 # thy have one).
253 am__check_pre = \
254 $(am__sh_e_setup);                                      \
255 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
256 $(am__tty_colors);                                      \
257 srcdir=$(srcdir); export srcdir;                        \
258 case "$@" in                                            \
259   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
260     *) am__odir=.;;                                     \
261 esac;                                                   \
262 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
263   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
264 if test -f "./$$f"; then dir=./;                        \
265 elif test -f "$$f"; then dir=;                          \
266 else dir="$(srcdir)/"; fi;                              \
267 tst=$$dir$$f; log='$@';                                 \
268 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
269   am__enable_hard_errors=no;                            \
270 else                                                    \
271   am__enable_hard_errors=yes;                           \
272 fi;                                                     \
273 case " $(XFAIL_TESTS) " in                              \
274   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
275     am__expect_failure=yes;;                            \
276   *)                                                    \
277     am__expect_failure=no;;                             \
278 esac;                                                   \
279 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
280 # A shell command to get the names of the tests scripts with any registered
281 # extension removed (i.e., equivalently, the names of the test logs, with
282 # the '.log' extension removed).  The result is saved in the shell variable
283 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
284 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
285 # since that might cause problem with VPATH rewrites for suffix-less tests.
286 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
287 am__set_TESTS_bases = \
288   bases='$(TEST_LOGS)'; \
289   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
290   bases=`echo $$bases`
291 RECHECK_LOGS = $(TEST_LOGS)
292 AM_RECURSIVE_TARGETS = check recheck
293 TEST_SUITE_LOG = test-suite.log
294 TEST_EXTENSIONS = @EXEEXT@ .test
295 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
296 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
297 am__set_b = \
298   case '$@' in \
299     */*) \
300       case '$*' in \
301         */*) b='$*';; \
302           *) b=`echo '$@' | sed 's/\.log$$//'`; \
303        esac;; \
304     *) \
305       b='$*';; \
306   esac
307 am__test_logs1 = $(TESTS:=.log)
308 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
309 TEST_LOGS = $(am__test_logs2:.test.log=.log)
310 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
311 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
312         $(TEST_LOG_FLAGS)
313 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
314 ACLOCAL = @ACLOCAL@
315 AMTAR = @AMTAR@
316 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
317 AUTOCONF = @AUTOCONF@
318 AUTOHEADER = @AUTOHEADER@
319 AUTOMAKE = @AUTOMAKE@
320 AWK = @AWK@
321 CC = @CC@
322 CCDEPMODE = @CCDEPMODE@
323 CFLAGS = @CFLAGS@
324 CPP = @CPP@
325 CPPFLAGS = @CPPFLAGS@
326 CXX = @CXX@
327 CXXDEPMODE = @CXXDEPMODE@
328 CXXFLAGS = @CXXFLAGS@
329 CYGPATH_W = @CYGPATH_W@
330 DEFS = @DEFS@
331 DEPDIR = @DEPDIR@
332 ECHO_C = @ECHO_C@
333 ECHO_N = @ECHO_N@
334 ECHO_T = @ECHO_T@
335 EGREP = @EGREP@
336 EXEEXT = @EXEEXT@
337 GREP = @GREP@
338 INSTALL = @INSTALL@
339 INSTALL_DATA = @INSTALL_DATA@
340 INSTALL_PROGRAM = @INSTALL_PROGRAM@
341 INSTALL_SCRIPT = @INSTALL_SCRIPT@
342 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
343 LDFLAGS = @LDFLAGS@
344 LIBOBJS = @LIBOBJS@
345 LIBPQXX_CFLAGS = @LIBPQXX_CFLAGS@
346 LIBPQXX_LIBS = @LIBPQXX_LIBS@
347 LIBS = @LIBS@
348 LTLIBOBJS = @LTLIBOBJS@
349 MAKEINFO = @MAKEINFO@
350 MKDIR_P = @MKDIR_P@
351 OBJEXT = @OBJEXT@
352 PACKAGE = @PACKAGE@
353 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
354 PACKAGE_NAME = @PACKAGE_NAME@
355 PACKAGE_STRING = @PACKAGE_STRING@
356 PACKAGE_TARNAME = @PACKAGE_TARNAME@
357 PACKAGE_URL = @PACKAGE_URL@
358 PACKAGE_VERSION = @PACKAGE_VERSION@
359 PATH_SEPARATOR = @PATH_SEPARATOR@
360 PKG_CONFIG = @PKG_CONFIG@
361 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
362 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
363 RANLIB = @RANLIB@
364 SET_MAKE = @SET_MAKE@
365 SHELL = @SHELL@
366 STRIP = @STRIP@
367 VERSION = @VERSION@
368 XML_CONFIG = @XML_CONFIG@
369 abs_builddir = @abs_builddir@
370 abs_srcdir = @abs_srcdir@
371 abs_top_builddir = @abs_top_builddir@
372 abs_top_srcdir = @abs_top_srcdir@
373 ac_ct_CC = @ac_ct_CC@
374 ac_ct_CXX = @ac_ct_CXX@
375 am__include = @am__include@
376 am__leading_dot = @am__leading_dot@
377 am__quote = @am__quote@
378 am__tar = @am__tar@
379 am__untar = @am__untar@
380 bindir = @bindir@
381 build_alias = @build_alias@
382 builddir = @builddir@
383 datadir = @datadir@
384 datarootdir = @datarootdir@
385 docdir = @docdir@
386 dvidir = @dvidir@
387 exec_prefix = @exec_prefix@
388 host_alias = @host_alias@
389 htmldir = @htmldir@
390 includedir = @includedir@
391 infodir = @infodir@
392 install_sh = @install_sh@
393 libdir = @libdir@
394 libexecdir = @libexecdir@
395 localedir = @localedir@
396 localstatedir = @localstatedir@
397 mandir = @mandir@
398 mkdir_p = @mkdir_p@
399 oldincludedir = @oldincludedir@
400 pdfdir = @pdfdir@
401 prefix = @prefix@
402 program_transform_name = @program_transform_name@
403 psdir = @psdir@
404 sbindir = @sbindir@
405 sharedstatedir = @sharedstatedir@
406 srcdir = @srcdir@
407 sysconfdir = @sysconfdir@
408 target_alias = @target_alias@
409 top_build_prefix = @top_build_prefix@
410 top_builddir = @top_builddir@
411 top_srcdir = @top_srcdir@
412 TESTS = gcmtest
413 all: all-am
414
415 .SUFFIXES:
416 .SUFFIXES: .log .test .test$(EXEEXT) .trs
417 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
418         @for dep in $?; do \
419           case '$(am__configure_deps)' in \
420             *$$dep*) \
421               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
422                 && { if test -f $@; then exit 0; else break; fi; }; \
423               exit 1;; \
424           esac; \
425         done; \
426         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu test/Makefile'; \
427         $(am__cd) $(top_srcdir) && \
428           $(AUTOMAKE) --gnu test/Makefile
429 .PRECIOUS: Makefile
430 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
431         @case '$?' in \
432           *config.status*) \
433             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
434           *) \
435             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
436             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
437         esac;
438
439 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
440         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
441
442 $(top_srcdir)/configure:  $(am__configure_deps)
443         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
444 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
445         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
446 $(am__aclocal_m4_deps):
447 tags TAGS:
448
449 ctags CTAGS:
450
451 cscope cscopelist:
452
453
454 # Recover from deleted '.trs' file; this should ensure that
455 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
456 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
457 # to avoid problems with "make -n".
458 .log.trs:
459         rm -f $< $@
460         $(MAKE) $(AM_MAKEFLAGS) $<
461
462 # Leading 'am--fnord' is there to ensure the list of targets does not
463 # expand to empty, as could happen e.g. with make check TESTS=''.
464 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
465 am--force-recheck:
466         @:
467
468 $(TEST_SUITE_LOG): $(TEST_LOGS)
469         @$(am__set_TESTS_bases); \
470         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
471         redo_bases=`for i in $$bases; do \
472                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
473                     done`; \
474         if test -n "$$redo_bases"; then \
475           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
476           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
477           if $(am__make_dryrun); then :; else \
478             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
479           fi; \
480         fi; \
481         if test -n "$$am__remaking_logs"; then \
482           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
483                "recursion detected" >&2; \
484         else \
485           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
486         fi; \
487         if $(am__make_dryrun); then :; else \
488           st=0;  \
489           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
490           for i in $$redo_bases; do \
491             test -f $$i.trs && test -r $$i.trs \
492               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
493             test -f $$i.log && test -r $$i.log \
494               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
495           done; \
496           test $$st -eq 0 || exit 1; \
497         fi
498         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
499         ws='[   ]'; \
500         results=`for b in $$bases; do echo $$b.trs; done`; \
501         test -n "$$results" || results=/dev/null; \
502         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
503         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
504         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
505         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
506         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
507         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
508         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
509         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
510           success=true; \
511         else \
512           success=false; \
513         fi; \
514         br='==================='; br=$$br$$br$$br$$br; \
515         result_count () \
516         { \
517             if test x"$$1" = x"--maybe-color"; then \
518               maybe_colorize=yes; \
519             elif test x"$$1" = x"--no-color"; then \
520               maybe_colorize=no; \
521             else \
522               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
523             fi; \
524             shift; \
525             desc=$$1 count=$$2; \
526             if test $$maybe_colorize = yes && test $$count -gt 0; then \
527               color_start=$$3 color_end=$$std; \
528             else \
529               color_start= color_end=; \
530             fi; \
531             echo "$${color_start}# $$desc $$count$${color_end}"; \
532         }; \
533         create_testsuite_report () \
534         { \
535           result_count $$1 "TOTAL:" $$all   "$$brg"; \
536           result_count $$1 "PASS: " $$pass  "$$grn"; \
537           result_count $$1 "SKIP: " $$skip  "$$blu"; \
538           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
539           result_count $$1 "FAIL: " $$fail  "$$red"; \
540           result_count $$1 "XPASS:" $$xpass "$$red"; \
541           result_count $$1 "ERROR:" $$error "$$mgn"; \
542         }; \
543         {                                                               \
544           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
545             $(am__rst_title);                                           \
546           create_testsuite_report --no-color;                           \
547           echo;                                                         \
548           echo ".. contents:: :depth: 2";                               \
549           echo;                                                         \
550           for b in $$bases; do echo $$b; done                           \
551             | $(am__create_global_log);                                 \
552         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
553         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
554         if $$success; then                                              \
555           col="$$grn";                                                  \
556          else                                                           \
557           col="$$red";                                                  \
558           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
559         fi;                                                             \
560         echo "$${col}$$br$${std}";                                      \
561         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
562         echo "$${col}$$br$${std}";                                      \
563         create_testsuite_report --maybe-color;                          \
564         echo "$$col$$br$$std";                                          \
565         if $$success; then :; else                                      \
566           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
567           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
568             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
569           fi;                                                           \
570           echo "$$col$$br$$std";                                        \
571         fi;                                                             \
572         $$success || exit 1
573
574 check-TESTS:
575         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
576         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
577         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
578         @set +e; $(am__set_TESTS_bases); \
579         log_list=`for i in $$bases; do echo $$i.log; done`; \
580         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
581         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
582         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
583         exit $$?;
584 recheck: all 
585         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
586         @set +e; $(am__set_TESTS_bases); \
587         bases=`for i in $$bases; do echo $$i; done \
588                  | $(am__list_recheck_tests)` || exit 1; \
589         log_list=`for i in $$bases; do echo $$i.log; done`; \
590         log_list=`echo $$log_list`; \
591         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
592                 am__force_recheck=am--force-recheck \
593                 TEST_LOGS="$$log_list"; \
594         exit $$?
595 gcmtest.log: gcmtest
596         @p='gcmtest'; \
597         b='gcmtest'; \
598         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
599         --log-file $$b.log --trs-file $$b.trs \
600         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
601         "$$tst" $(AM_TESTS_FD_REDIRECT)
602 .test.log:
603         @p='$<'; \
604         $(am__set_b); \
605         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
606         --log-file $$b.log --trs-file $$b.trs \
607         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
608         "$$tst" $(AM_TESTS_FD_REDIRECT)
609 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
610 @am__EXEEXT_TRUE@       @p='$<'; \
611 @am__EXEEXT_TRUE@       $(am__set_b); \
612 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
613 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
614 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
615 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
616
617 distdir: $(DISTFILES)
618         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
619         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
620         list='$(DISTFILES)'; \
621           dist_files=`for file in $$list; do echo $$file; done | \
622           sed -e "s|^$$srcdirstrip/||;t" \
623               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
624         case $$dist_files in \
625           */*) $(MKDIR_P) `echo "$$dist_files" | \
626                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
627                            sort -u` ;; \
628         esac; \
629         for file in $$dist_files; do \
630           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
631           if test -d $$d/$$file; then \
632             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
633             if test -d "$(distdir)/$$file"; then \
634               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
635             fi; \
636             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
637               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
638               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
639             fi; \
640             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
641           else \
642             test -f "$(distdir)/$$file" \
643             || cp -p $$d/$$file "$(distdir)/$$file" \
644             || exit 1; \
645           fi; \
646         done
647 check-am: all-am
648         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
649 check: check-am
650 all-am: Makefile
651 installdirs:
652 install: install-am
653 install-exec: install-exec-am
654 install-data: install-data-am
655 uninstall: uninstall-am
656
657 install-am: all-am
658         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
659
660 installcheck: installcheck-am
661 install-strip:
662         if test -z '$(STRIP)'; then \
663           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
664             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
665               install; \
666         else \
667           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
668             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
669             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
670         fi
671 mostlyclean-generic:
672         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
673         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
674         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
675
676 clean-generic:
677
678 distclean-generic:
679         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
680         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
681
682 maintainer-clean-generic:
683         @echo "This command is intended for maintainers to use"
684         @echo "it deletes files that may require special tools to rebuild."
685 clean: clean-am
686
687 clean-am: clean-generic mostlyclean-am
688
689 distclean: distclean-am
690         -rm -f Makefile
691 distclean-am: clean-am distclean-generic
692
693 dvi: dvi-am
694
695 dvi-am:
696
697 html: html-am
698
699 html-am:
700
701 info: info-am
702
703 info-am:
704
705 install-data-am:
706
707 install-dvi: install-dvi-am
708
709 install-dvi-am:
710
711 install-exec-am:
712
713 install-html: install-html-am
714
715 install-html-am:
716
717 install-info: install-info-am
718
719 install-info-am:
720
721 install-man:
722
723 install-pdf: install-pdf-am
724
725 install-pdf-am:
726
727 install-ps: install-ps-am
728
729 install-ps-am:
730
731 installcheck-am:
732
733 maintainer-clean: maintainer-clean-am
734         -rm -f Makefile
735 maintainer-clean-am: distclean-am maintainer-clean-generic
736
737 mostlyclean: mostlyclean-am
738
739 mostlyclean-am: mostlyclean-generic
740
741 pdf: pdf-am
742
743 pdf-am:
744
745 ps: ps-am
746
747 ps-am:
748
749 uninstall-am:
750
751 .MAKE: check-am install-am install-strip
752
753 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
754         cscopelist-am ctags-am distclean distclean-generic distdir dvi \
755         dvi-am html html-am info info-am install install-am \
756         install-data install-data-am install-dvi install-dvi-am \
757         install-exec install-exec-am install-html install-html-am \
758         install-info install-info-am install-man install-pdf \
759         install-pdf-am install-ps install-ps-am install-strip \
760         installcheck installcheck-am installdirs maintainer-clean \
761         maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
762         pdf-am ps ps-am recheck tags-am uninstall uninstall-am
763
764
765 # Tell versions [3.59,3.63) of GNU make to not export all variables.
766 # Otherwise a system limit (for SysV at least) may be exceeded.
767 .NOEXPORT: